net.sf.okapi.lib.xliff2.its

## Class MTConfidence

- java.lang.Object
- - net.sf.okapi.lib.xliff2.its.DataCategory
  - - net.sf.okapi.lib.xliff2.its.MTConfidence

- All Implemented Interfaces:
    IITSItem

      public class MTConfidence
      extends DataCategory

  Implements the MT Confidence data category.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MTConfidence()` Creates a new `MTConfidence` object without initial data.
    `MTConfidence(java.lang.String annotatorRef, double mtConfidence)` Creates a new `MTConfidence` object with a given annotator reference and confidence score.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IITSItem` | `createCopy()` Creates a deep-copy clone of this item.
    `java.lang.String` | `getDataCategoryName()` Gets the id/name of this data category.
    `java.lang.Double` | `getMtConfidence()`
    `void` | `setMtConfidence(java.lang.Double mtConfidence)`
    `void` | `validate()` Validates the data category.

    - ### Methods inherited from class net.sf.okapi.lib.xliff2.its.DataCategory

      `getAnnotatorRef, hasUnresolvedGroup, isGroup, setAnnotatorRef, setAnnotatorRef`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MTConfidence

          public MTConfidence()

      Creates a new `MTConfidence` object without initial data.

    - #### MTConfidence

          public MTConfidence(java.lang.String annotatorRef,
                      double mtConfidence)

      Creates a new `MTConfidence` object with a given annotator reference and confidence score.
      Parameters:
        `annotatorRef` - the annotator reference.
        `mtConfidence` - the confidence score.

  - ### Method Detail

    - #### getDataCategoryName

          public java.lang.String getDataCategoryName()

      Description copied from interface: `IITSItem`
      Gets the id/name of this data category.
      Returns:
        the id/name of this data category.

    - #### validate

          public void validate()

      Description copied from interface: `IITSItem`
      Validates the data category. Checks if all required attributes are set properly.

    - #### getMtConfidence

          public java.lang.Double getMtConfidence()

    - #### setMtConfidence

          public void setMtConfidence(java.lang.Double mtConfidence)

    - #### createCopy

          public IITSItem createCopy()

      Description copied from interface: `IITSItem`
      Creates a deep-copy clone of this item.
      Returns:
        the duplicated item.